#
# spec file for package apache2-mod_form (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if %{defined suse_version}
%define apxs /usr/sbin/apxs2
BuildRequires:  apache2-devel apache2-prefork apache2-worker
%else
%define apxs /usr/sbin/apxs
BuildRequires:  httpd-devel
%endif
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
#
Name:           apache2-mod_form
Version:        0.1
Release:        1.1
License:        GPL
Group:          Productivity/Networking/Web/Servers
Summary:        mod_form is an Apache module to decode data submitted from Web forms
#
# The tarball's contents were downloaded from:
# http://apache.webthing.com/svn/apache/forms/mod_form.c
# http://apache.webthing.com/svn/apache/forms/mod_form.h
# the version number 0.1 is arbitrary, because I couldn't find any
# poeml, Mon Sep 28 15:08:43 CEST 2009
Source:         mod_form-%{version}.tar.gz
# preserve r->args (apr_strtok is
# destructive in this regard). Makes mod_autoindex work again in
# conjunction with directories where FormGET is enabled.
Patch0:         mod_form.c.preserve_args.patch
#
Obsoletes:      apache2-webthings-collection < %{version}
Provides:       apache2-webthings-collection = %{version}-%{release}
#
%if %{defined suse_version}
Requires:       apache2 %{apache_mmn} 
%else
Requires:       httpd
%endif
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_form is a utility to decode data submitted from Web forms. It deals with
both GET and POST methods where the data are encoded using the default content
type application/x-www-form-urlencoded. It does not decode multipart/form-data
(file upload) forms: for those you should use mod_upload.

See 
http://apache.webthing.com/mod_form/

Author: Nick Kew

%prep
%setup -q -n mod_form-%{version}
%patch0

%build
%{apxs} -c mod_form.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
mkdir -p $RPM_BUILD_ROOT/%{apache_includedir}
cp -p .libs/mod_form.so $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p mod_form.h $RPM_BUILD_ROOT/%{apache_includedir}

%files
%defattr(-,root,root)
#%doc mod_*.{c,h}
%{apache_libexecdir}/*.so
%{apache_includedir}/*.h

%changelog
* Tue Dec  1 2009 poeml@cmdline.net
- Debian/Ubuntu: add postinstall/postrm script to enable the module.
* Tue Sep 29 2009 poeml@suse.de
- unfortunately, the comment from mod_form.c.preserve_args.patch
  has to be removed in order to build the package also for Debian
  4.0 and Ubuntu 8.04 (due to [bnc#492297])
* Tue Sep 29 2009 lars@linux-schulserver.de
- use versioned Provides/Obsoletes
* Mon Sep 28 2009 poeml@suse.de
- debianize package
- the source files are packaged as a little tarball now
* Mon Sep 28 2009 poeml@suse.de
- rename package from apache2-webthings-collection to
  apache2-mod_form (and omit mod_line_edit)
* Fri Mar  6 2009 poeml@suse.de
- enable build for Fedora/CentOS
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Tue Mar 13 2007 poeml@suse.de
- add patch to mod_form to preserve r->args (apr_strtok is
  destructive in this regard). Makes mod_autoindex work again in
  conjunction with directories where FormGET is enabled.
* Sun Feb 11 2007 poeml@suse.de
- install the mod_form header file
* Sun Feb 11 2007 poeml@suse.de
- package created, containing mod_form.{c,h}, mod_line_edit.c
